<?php

/**
 * @file
 * Contains \Drupal\n1ed\Form\N1EDConfigForm.
 */

namespace Drupal\n1ed\Form;
use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

class N1EDConfigForm extends ConfigFormBase {

    /**
     * {@inheritdoc}
     */
    public function getFormId() {
        return 'n1ed_config_form';
    }

    /**
     * {@inheritdoc}
     */
    public function buildForm(array $form, FormStateInterface $form_state) {
        $config = $this->config('n1ed.settings');
        $form['apikey'] = array(
            '#type' => 'textfield',
            '#title' => $this->t('API key'),
            '#default_value' => $config->get('n1ed.apikey') ?: 'N1D8DFLT',
            '#required' => TRUE,
        );
        return parent::buildForm($form, $form_state);
    }

    /**
     * {@inheritdoc}
     */

    public function submitForm(array &$form, FormStateInterface $form_state) {
        $values = $form_state->getValues();

        $config = $this->config('n1ed.settings');
        $config->set('apikey', $values['apikey'])->save();

        parent::submitForm($form, $form_state);
    }

    /**
     * {@inheritdoc}
     */

    protected function getEditableConfigNames() {
        return ['n1ed.settings'];
    }

}